Important information about Skyline / AutoQC Loader and PanoramaWeb compatibility

2019-10-21

As of April 12th, 2019 the minimum versions of Skyline and AutoQC Loader that will be able to upload Skyline documents to PanoramaWeb are:

Skyline: version 4.2

Skyline-daily: version 4.1.1.18151

AutoQC Loader: version 1.1.0.18302

If you haven't already upgraded to these versions, or higher, please do so as soon as possible. You will see errors when uploading to PanoramaWeb from older versions of the programs. 

Panorama is built on top of a larger biomedical data management platform called LabKey Server.  As part of the effort to make sure that LabKey Server and Panorama protect against potential security threats, the LabKey team has been gradually getting stricter about how they validate requests against an attack called Cross-Site Request Forgery (CSRF).  To make Skyline and AutoQC Loader compatible with these changes, we have updated both programs to include the information that is required to validate the requests they makes when uploading data to Panorama. The minimum versions of Skyline and AutoQC Loader that  include the required information in their requests to Panorama are listed above.

For more details on CSRF protection in LabKey Server, please see the documentation here: https://www.labkey.org/Documentation/wiki-page.view?name=csrfProtection